<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("cUsuariogestion.php");

$oUsuario = new cUsuariogestion();



require_once ("../formatos/formatos.php");





if($_POST['action']=="editar")

{



	$dts=$oUsuario->mostrarUno($_POST['usu_id']);

	$dt = mysql_fetch_array($dts);

		$use=$dt['tb_usuario_use'];

		$use=$dt['tb_usuario_use'];

		//$pas=$dt['tb_usuario_pas'];

		$nom=$dt['tb_usuario_nom'];

		$ape=$dt['tb_usuario_ape'];

		$dni=$dt['tb_usuario_dni'];

		$ema=$dt['tb_usuario_ema'];

		$tel=$dt['tb_usuario_tel'];

		$dir=$dt['tb_usuario_dir'];

		$blo=$dt['tb_usuario_blo'];



		$usugru_id	=$dt['tb_usuariogrupo_id'];

		$usuper_id	=$dt['tb_usuarioperfil_id'];

		$emp_id		=$dt['tb_empresa_id'];

	mysql_free_result($dts);

}



?>



<script type="text/javascript">

//botones y vista



$(".btn_ir").css({width: "14px", height: "15px" });



//function

$(function() {



	$('#btnguardar').click(function() {

	

	$("#for_usu").submit();

	

	});





	$('#txt_usu_ape, #txt_usu_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	<?php if($_POST['action']=='editar'):?>

		$('#txt_usu_use, #txt_usu_pas').prop("type", 'hidden');

		$('#txt_usu_use, #txt_usu_pas').prop("disabled", true);



		$('#chk_usu_use').click(function() {

		  	if ($(this).is(':checked')) {

		    	$('#txt_usu_use').prop("type", 'text');

		    	$('#txt_usu_use').prop("disabled", false);

		  	}else{

		  		$('#txt_usu_use').prop("type", 'hidden');

		  		$('#txt_usu_use').prop("disabled", true);

		  	}

		});



		$('#chk_usu_pas').click(function() {

		  	if ($(this).is(':checked')) {

		    	$('#txt_usu_pas').prop("type", 'text');

		    	$('#txt_usu_pas').prop("disabled", false);

		  	}else{

		  		$('#txt_usu_pas').prop("type", 'hidden');

		  		$('#txt_usu_pas').prop("disabled", true);

		  	}

		});



	<?php endif;?>



	

	$('#for_usu').bootstrapValidator({

	      //live: 'disabled',

	      message: 'Valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },  

	      fields: {	       	

	      	txt_usu_nom: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			txt_usu_ape: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			txt_usu_dni: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			txt_usu_ema: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			txt_usu_dir: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

			txt_usu_tel: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	}

	      }

	  }).on('success.form.bv', function(e) {



	  	/*--- Save ---*/

	  	$.ajax({

	  		type: "POST",

	  		url: "../usuariogestion/usuariogestion_reg.php",

	  		async:true,

	  		dataType: "html",

	  		data: $("#for_usu").serialize(),

	  		beforeSend: function() {					 

	  			$('#msj_usuario').html("Guardando...");

			        $('#msj_usuario').show(100);

				

	  		},

	  		success: function(data){	

	  			

				$('#msj_usuario').html(data.usu_msj);		

	  		},

	  		complete: function(){

	  			$("#content").load("../usuariogestion/usuariogestion_vista.php");

	  		}

	  	}); 



	  });

	  

	  

	  

	  

	  



});



</script>



<form id="for_usu">

	<input name="action_usuario" id="action_usuario" type="hidden" value="<?php echo $_POST['action']?>">

    <input name="hdd_usu_id" id="hdd_usu_id" type="hidden" value="<?php echo $_POST['usu_id']?>">    

    <input name="hdd_emp_id" id="hdd_emp_id" type="hidden" value="<?php echo $_SESSION['empresa_id']?>">

   

   

   

   <div class="col-lg-2 col-xs-6">

   <label for="txt_mon_sim">Nombre:</label><br />

   <input type="text" class="form-control" id="txt_usu_nom" name="txt_usu_nom" size="30" value="<?php echo $nom; ?>"> 

   </div>

   

     <div class="col-lg-2 col-xs-6">

   <label for="txt_mon_sim">Apellido:</label><br />

   <input type="text" class="form-control" id="txt_usu_ape" name="txt_usu_ape" size="30" value="<?php echo $ape; ?>"> 

   </div>

   

     <div class="col-lg-2 col-xs-6">

   <label for="txt_mon_sim">Email:</label><br />

   <input type="text" class="form-control" id="txt_usu_ema" name="txt_usu_ema" size="30" value="<?php echo $ema; ?>"> 

   </div>

   

   

    <div class="col-lg-2 col-xs-6">

   <label for="txt_mon_sim">Telefono:</label><br />

   <input type="text" class="form-control" id="txt_usu_tel" name="txt_usu_tel" size="30" value="<?php echo $tel; ?>">

   </div>

   

   

    <div class="col-lg-2 col-xs-6">

   <label for="txt_mon_sim">Direccion:</label><br />

   <input type="text" class="form-control" id="txt_usu_dir" name="txt_usu_dir" size="30" value="<?php echo $dir; ?>"> 

   </div>

   

    <div class="col-lg-2 col-xs-6">

   <label for="txt_mon_sim">DNI:</label><br />

   <input type="text" class="form-control" id="txt_usu_dni" name="txt_usu_dni" size="30" value="<?php echo $dni; ?>"> 

   </div>

<label for="">&nbsp;</label>   <br />

	<div class="col-lg-12 col-xs-6">

    <button id="btnguardar"  class="btn btn-primary">GUARDAR DATOS</button>

	</div>

   

   

</form>